//
// "$Id: ppdc-attr.cxx 251 2005-06-17 02:53:12Z mike $"
//
//   Attribute class for the CUPS PPD Compiler.
//
//   Copyright 2002-2005 by Easy Software Products.
//
//   These coded instructions, statements, and computer programs are the
//   property of Easy Software Products and are protected by Federal
//   copyright law.  Distribution and use rights are outlined in the file
//   "LICENSE.txt" which should have been included with this file.  If this
//   file is missing or damaged please contact Easy Software Products
//   at:
//
//       Attn: CUPS Licensing Information
//       Easy Software Products
//       44141 Airport View Drive, Suite 204
//       Hollywood, Maryland 20636 USA
//
//       Voice: (301) 373-9600
//       EMail: cups-info@cups.org
//         WWW: http://www.cups.org
//
// Contents:
//
//   ppdcAttr::ppdcAttr()  - Create an attribute.
//   ppdcAttr::~ppdcAttr() - Destroy an attribute.
//

//
// Include necessary headers...
//

#include "ppdc.h"


//
// 'ppdcAttr::ppdcAttr()' - Create an attribute.
//

ppdcAttr::ppdcAttr(const char *n,	// I - Name
                   const char *s,	// I - Spec string
		   const char *t,	// I - Human-readable text
		   const char *v)	// I - Value
  : ppdcShared()
{
  name     = new ppdcString(n);
  selector = new ppdcString(s);
  text     = new ppdcString(t);
  value    = new ppdcString(v);
}


//
// 'ppdcAttr::~ppdcAttr()' - Destroy an attribute.
//

ppdcAttr::~ppdcAttr()
{
  name->release();
  selector->release();
  text->release();
  value->release();
}


//
// End of "$Id: ppdc-attr.cxx 251 2005-06-17 02:53:12Z mike $".
//
